ext_unix_group_acl(8)

NAME
ext_unix_group_acl - Squid UNIX Group ACL helper

SYNOPSIS
ext_unix_group_acl [-d] [-g group ] [-g group ...] [-p] [-s]

DESCRIPTION
ext_unix_group_acl allows Squid to base access controls on users memberships in UNIX groups.

OPTIONS

-d  Write debug info to stderr. -g group Specifies a group name to match.

-p  Also match the users primary group from /etc/passwd

-s  Strip NT domain name component from user names (/ or \ separated)

CONFIGURATION
This squid.conf example defines two Squid acls. usergroup1 matches users in group1 , and usergroup2 matches users in group2 or group3
    external_acl_type unix_group %LOGIN /usr/local/squid/libexec/ext_unix_group_acl -p
    acl usergroup1 external unix_group group1
    acl usergroup2 external unix_group group2 group3

By default up to 11 groups can be matched in one acl (including commandline specified groups). This limit is defined by MAX_GROUPS in the source code.

KNOWN ISSUES

Does not understand GID aliased groups sometimes used to work around groups size limitations. If you are using GID aliased groups then you must specify each alias by name.

AUTHOR
This program was written by Rodrigo Campos <rodrigo@geekbunker.org>

This manual was written by Henrik Nordstrom <hno@squid-cache.org>

COPYRIGHT

 * Copyright (C) 1996-2022 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

This program and documentation is copyright to the authors named above.

Distributed under the GNU General Public License (GNU GPL) version 2 or later (GPLv2+).

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@lists.squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@lists.squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@lists.squid-cache.org>

Additionally bugs or bug-fixes can be reported to Rodrigo Campos <rodrigo@geekbunker.org>

SEE ALSO
squid(8), group(5), passwd(5), GPL(7),
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
The Squid Configuration Manual http://www.squid-cache.org/Doc/config/